Unable to create db for gitlab using " bundle exec rake db:create"

HI, I am new to installation of gitlab. I tried to install gitlab on ppc64le , RHEL7.2 using following command

git clone https://gitlab.com/gitlab-org/gitlab-ce.git
cd gitlab-ce
yum groupinstall -y ‘Development Tools’
yum install -y gcc gcc-c++ automake zlib check nss-devel.ppc64le pkgconfig subversion
valgrind.ppc64le git cmake libicu-devel libffi-devel.ppc64le make
autoconfig libdbi-dbd-mysql.ppc64le krb5-devel.ppc64le which tar wget
zlib-devel.ppc64le

yum install -y postgresql-devel.ppc64le postgresql-server.ppc64le PyGreSQL.ppc64le postgresql-libs.ppc64le
perl-CPAN gettext curl-devel expat-devel gettext-devel openssl-devel
patch readline readline-devel yum install -y libyaml-devel openssl-devel
bzip2 autoconf libtool bison iconv-devel sqlite-devel

// Installation of ruby 2.3

curl -sSL https://rvm.io/mpapis.asc | gpg --import -
curl -sSL https://get.rvm.io | bash -s –
//=========/bin/bash -l -c “rvm install ruby && rvm use ruby”
rvm autolibs read-only
rvm install 2.3

gem update
gem install bundler
gem install execjs
gem install rack
gem install rake
gem install rails
gem install hoe
gem install RedCloth -v ‘4.2.9’

cp config/gitlab.yml.example config/gitlab.yml
bundle install --deployment --path vendor/bundle

but after that Unable to create db for gitlab using " bundle exec rake db:create"

Any pointer for that
Thanks in advance

for “bundle exec rake db:create” I got error as follows

rake aborted!
Bundler::GemRequireError: There was an error while trying to load the gem ‘coffee-rails’.
Gem Load Error is: Could not find a JavaScript runtime. See https://github.com/rails/execjs for a list of available runtimes.
Backtrace for gem load error is:
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/execjs-2.6.0/lib/execjs/runtimes.rb:48:in autodetect' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/execjs-2.6.0/lib/execjs.rb:5:in module:ExecJS
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/execjs-2.6.0/lib/execjs.rb:4:in <top (required)>' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in require’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in block in require' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in load_dependency’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in require' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/coffee-script-2.4.1/lib/coffee_script.rb:1:in <top (required)>’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in require' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in block in require’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in load_dependency' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in require’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/coffee-script-2.4.1/lib/coffee-script.rb:1:in <top (required)>' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in require’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in block in require' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in load_dependency’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in require' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/coffee-rails-4.1.1/lib/coffee-rails.rb:1:in <top (required)>’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:86:in require' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:86:in block (2 levels) in require’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:81:in each' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:81:in block in require’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:70:in each' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:70:in require’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler.rb:102:in require' /home/Bhushan/gitlab/gitlab-ce/config/application.rb:5:in <top (required)>’
/home/Bhushan/gitlab/gitlab-ce/Rakefile:5:in require' /home/Bhushan/gitlab/gitlab-ce/Rakefile:5:in <top (required)>’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/rake-10.5.0/lib/rake/rake_module.rb:28:in load' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/rake-10.5.0/lib/rake/rake_module.rb:28:in load_rakefile’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/rake-10.5.0/lib/rake/application.rb:689:in raw_load_rakefile' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/rake-10.5.0/lib/rake/application.rb:94:in block in load_rakefile’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/rake-10.5.0/lib/rake/application.rb:176:in standard_exception_handling' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/rake-10.5.0/lib/rake/application.rb:93:in load_rakefile’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/rake-10.5.0/lib/rake/application.rb:77:in block in run' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/rake-10.5.0/lib/rake/application.rb:176:in standard_exception_handling’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/rake-10.5.0/lib/rake/application.rb:75:in run' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/rake-10.5.0/bin/rake:33:in <top (required)>’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/bin/rake:23:in load' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/bin/rake:23:in <top (required)>’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli/exec.rb:63:in load' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli/exec.rb:63:in kernel_load’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli/exec.rb:24:in run' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli.rb:304:in exec’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/vendor/thor/lib/thor/command.rb:27:in run' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/vendor/thor/lib/thor/invocation.rb:126:in invoke_command’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/vendor/thor/lib/thor.rb:359:in dispatch' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/vendor/thor/lib/thor/base.rb:440:in start’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli.rb:11:in start' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/exe/bundle:27:in block in <top (required)>’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/friendly_errors.rb:98:in with_friendly_errors' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/exe/bundle:19:in <top (required)>’
/usr/local/rvm/gems/ruby-2.1.8/bin/bundle:23:in load' /usr/local/rvm/gems/ruby-2.1.8/bin/bundle:23:in
/usr/local/rvm/gems/ruby-2.1.8/bin/ruby_executable_hooks:15:in eval' /usr/local/rvm/gems/ruby-2.1.8/bin/ruby_executable_hooks:15:in
Bundler Error Backtrace:
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:89:in rescue in block (2 levels) in require' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:85:in block (2 levels) in require’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:81:in each' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:81:in block in require’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:70:in each' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:70:in require’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler.rb:102:in require' /home/Bhushan/gitlab/gitlab-ce/config/application.rb:5:in <top (required)>’
/home/Bhushan/gitlab/gitlab-ce/Rakefile:5:in require' /home/Bhushan/gitlab/gitlab-ce/Rakefile:5:in <top (required)>’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli/exec.rb:63:in load' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli/exec.rb:63:in kernel_load’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli/exec.rb:24:in run' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli.rb:304:in exec’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/vendor/thor/lib/thor/command.rb:27:in run' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/vendor/thor/lib/thor/invocation.rb:126:in invoke_command’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/vendor/thor/lib/thor.rb:359:in dispatch' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/vendor/thor/lib/thor/base.rb:440:in start’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli.rb:11:in start' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/exe/bundle:27:in block in <top (required)>’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/friendly_errors.rb:98:in with_friendly_errors' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/exe/bundle:19:in <top (required)>’
/usr/local/rvm/gems/ruby-2.1.8/bin/bundle:23:in load' /usr/local/rvm/gems/ruby-2.1.8/bin/bundle:23:in
/usr/local/rvm/gems/ruby-2.1.8/bin/ruby_executable_hooks:15:in eval' /usr/local/rvm/gems/ruby-2.1.8/bin/ruby_executable_hooks:15:in
ExecJS::RuntimeUnavailable: Could not find a JavaScript runtime. See https://github.com/rails/execjs for a list of available runtimes.
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/execjs-2.6.0/lib/execjs/runtimes.rb:48:in autodetect' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/execjs-2.6.0/lib/execjs.rb:5:in module:ExecJS
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/execjs-2.6.0/lib/execjs.rb:4:in <top (required)>' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in require’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in block in require' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in load_dependency’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in require' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/coffee-script-2.4.1/lib/coffee_script.rb:1:in <top (required)>’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in require' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in block in require’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in load_dependency' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in require’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/coffee-script-2.4.1/lib/coffee-script.rb:1:in <top (required)>' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in require’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in block in require' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in load_dependency’
/home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in require' /home/Bhushan/gitlab/gitlab-ce/vendor/bundle/ruby/2.1.0/gems/coffee-rails-4.1.1/lib/coffee-rails.rb:1:in <top (required)>’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:86:in require' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:86:in block (2 levels) in require’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:81:in each' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:81:in block in require’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:70:in each' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/runtime.rb:70:in require’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler.rb:102:in require' /home/Bhushan/gitlab/gitlab-ce/config/application.rb:5:in <top (required)>’
/home/Bhushan/gitlab/gitlab-ce/Rakefile:5:in require' /home/Bhushan/gitlab/gitlab-ce/Rakefile:5:in <top (required)>’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli/exec.rb:63:in load' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli/exec.rb:63:in kernel_load’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli/exec.rb:24:in run' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli.rb:304:in exec’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/vendor/thor/lib/thor/command.rb:27:in run' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/vendor/thor/lib/thor/invocation.rb:126:in invoke_command’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/vendor/thor/lib/thor.rb:359:in dispatch' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/vendor/thor/lib/thor/base.rb:440:in start’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/cli.rb:11:in start' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/exe/bundle:27:in block in <top (required)>’
/usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/lib/bundler/friendly_errors.rb:98:in with_friendly_errors' /usr/local/rvm/gems/ruby-2.1.8/gems/bundler-1.12.4/exe/bundle:19:in <top (required)>’
/usr/local/rvm/gems/ruby-2.1.8/bin/bundle:23:in load' /usr/local/rvm/gems/ruby-2.1.8/bin/bundle:23:in
/usr/local/rvm/gems/ruby-2.1.8/bin/ruby_executable_hooks:15:in eval' /usr/local/rvm/gems/ruby-2.1.8/bin/ruby_executable_hooks:15:in
(See full trace by running task with --trace)

The text of the error message says:

There was an error while trying to load the gem ‘coffee-rails’.
Gem Load Error is: Could not find a JavaScript runtime. See https://github.com/rails/execjs for a list of available runtimes.

Did you go to https://github.com/rails/execjs and read what it says there about installing a “supported runtime”?

HI,
Yes I visit over there and install execjs using command "gem install execjs " but still it’s unable to create db.
Later on through the goggling I found that nodejs is the dependency and install it from source on RHEL 7.2 and I am able to fix this issue.

Thanks